Subject: Re: [PATCH 2/5] ppc64: make high hugepage areas preempt safe

From: David Gibson <[email-masked]>
Date: Wed, 1 Nov 2006 14:42:00 +1100

On Tue, Oct 31, 2006 at 06:40:39PM +0000, Hugh Dickins wrote:
> Checking source for other get_paca()->field preemption dangers found that
> open_high_hpage_areas does a structure copy into its paca while preemption
> is enabled: unsafe however gcc accomplishes it.  Just remove that copy:
> it's done safely afterwards by on_each_cpu, as in open_low_hpage_areas.

Oops, when I fixed the other problems with the PACA loading here, I
guess I missed this redundant assignment.

> Signed-off-by: Hugh Dickins <[email-masked]>
Acked-by: David Gibson <[email-masked]>

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson